## libscalar-properties-perl 1.100860

=== debian/changelog ===
libscalar-properties-perl (1.100860-3) unstable; urgency=medium

  * Team upload.
  * Update debian/upstream/metadata.
  * autopkgtests: skip use.t.
  * Declare compliance with Debian Policy 4.6.1.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Jul 2022 21:02:50 +0200

libscalar-properties-perl (1.100860-2) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Set Testsuite header for perl package.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jun 2022 09:44:41 +0100

libscalar-properties-perl (1.100860-1) unstable; urgency=medium

  * Adopt for the Debian Perl Group (Closes: #830619)
  * debian/control:
     - Added Vcs-* fields
     - Update Homepage to metacpan-based URL
  * debian/watch: use metacpan-based URL.
  * Switch to dpkg-source 3.0 (quilt) format
  * Update to debhelper 9 compat and minimal dh
  * Update Standards-Version (no changes)
  * Update d/copyright to format 1.0
  * New upstream release
    - reflect that inc/ is removed in d/copyright
  * Remove debian/libscalar-properties-perl.docs (TODO is gone and
    README is a duplicate of the manpage)
  * Remove obsolete build-depends (module only used in author tests)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 02 Sep 2017 16:05:51 +0100

libscalar-properties-perl (0.13-1) unstable; urgency=low

  * New maintainer. (Closes: #507395)
  * New upstream release.
  * debian/control:
    - Standards-Version: 3.8.0.
    - changed debhelper (>= 7).
    - add libtest-pod-perl, libtest-perl-critic-perl to perform more tests.
    - add Homepage.
  * debian/compat:
    - upgrade to level 7.
  * debian/copyright:
    - changed information.

 -- Miguelangel Jose Freitas Loreto <miguelangel.freitas@gmail.com>  Sun, 18 Jan 2009 09:06:28 -0430

libscalar-properties-perl (0.12-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Don't FTBFS when perl is smart enough not to create
    empty dirs. (Closes: #467955)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 05 Apr 2008 19:02:19 +0200

libscalar-properties-perl (0.12-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * Fix typo in debian/rules that makes the package does not contain the same
    when is built twice. Fix provided by Mike O'Connor. (Closes: #441715)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 13 Jan 2008 14:04:27 +0100

libscalar-properties-perl (0.12-1) unstable; urgency=low

  * Initial Release.

 -- Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>  Fri, 21 Apr 2006 01:18:03 +0200
