=== debian/control ===
Source: libscalar-properties-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominic Hargreaves <dom@earth.li>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libscalar-properties-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libscalar-properties-perl.git
Homepage: https://metacpan.org/release/Scalar-Properties
Rules-Requires-Root: no

Package: libscalar-properties-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Enhances: libdata-compare-perl
Description: perl module to add run-time properties on scalar variables
 Scalar::Properties attempts to make Perl more object-oriented by
 taking an idea from Ruby: Everything you manipulate is an object,
 and the results of those manipulations are objects themselves.
 .
 'hello world'->length
 (-1234)->abs
 "oh my god, it's full of properties"->index('g')
 .
 The first example asks a string to calculate its length. The second
 example asks a number to calculate its absolute value. And the
 third example asks a string to find the index of the letter 'g'.
 .
 Using this module you can have run-time properties on initialized
 scalar variables and literal values. The word 'properties' is used
 in the Perl 6 sense: out-of-band data, little sticky notes that
 are attached to the value. While attributes (as in Perl 5's attribute
 pragma, and see the Attribute::* family of modules) are handled
 at compile-time, properties are handled at run-time.
