=== debian/watch ===
version=4
https://metacpan.org/release/Scalar-Properties   .*/Scalar-Properties-v?@ANY_VERSION@@ARCHIVE_EXT@$
